Create filters for grid
Create filters for grid
- application/json
Request Body
Create filters for grid
- filterName string
rules object[]
filterBy stringcondition stringvalue stringassociations object[]
id int32This gives Id of user or user group or external user group
name stringThis gives name of user or user group or external user group
type UserAndUserGroupsTypePossible values: [
USER,USER_GROUP,EXTERNAL_USER_GROUP]Tells what kind of user or user group it is
Responses
- 200
OK
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
Tells about the error occured
- errorCode ErrorCode
Possible values: [
NO_ERROR,INVALID_INPUT,VALUE_NOT_FOUND,UNKNOWN_EXCEPTION,CONNECTION_PROBLEM,UNKNOWN_SQL_ERROR,INVALID_USER,INVALID_OPERATION_TYPE,INTERNAL_SERVER_PROBLEM,INSUFFICIENT_USER_PERMISSION_ON_ENTITY,INVALID_ENTITY_ID,REFRESH_TOKEN_EXPIRED]Error code value
{
"errorMessage": "string",
"errorCode": "NO_ERROR"
}
Loading...